SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Functions
RakWString.cpp File Reference
`#include "slikenet/wstring.h"`
`#include "slikenet/BitStream.h"`
`#include <string.h>`
`#include <wchar.h>`
`#include <stdlib.h>`
`#include "slikenet/linux_adapter.h"`
`#include "slikenet/osx_adapter.h"`

Go to the source code of this file.

## Macros

#define | MAX_BYTES_PER_UNICODE_CHAR sizeof(wchar_t)

## Functions

const SLNet::RakWString | operator+ (const SLNet::RakWString &lhs, const SLNet::RakWString &rhs)

## Macro Definition Documentation

#define MAX_BYTES_PER_UNICODE_CHAR sizeof(wchar_t)

Definition at line 28 of file RakWString.cpp.

Referenced by SLNet::RakWString::Deserialize(), SLNet::RakWString::operator+=(), SLNet::RakWString::operator=(), SLNet::RakWString::Serialize(), and SLNet::RakWString::ToInteger().

## Function Documentation

const SLNet::RakWString operator+ | ( | const SLNet::RakWString & | lhs,
|  | const SLNet::RakWString & | rhs
| ) |  |

Definition at line 439 of file RakWString.cpp.